// pages/warnIndex/warnIndex.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        nameList:[]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        wx.request({
            url: app.globalData.appBaseUrl + '/api/lawCategory',
            method: 'GET',
            header: {
              Authorization: app.globalData.Authorization
            },
            data: {
              county:app.globalData.appCounty,
              page: 0,
              size: 99999
            },
            header: {
              Authorization: app.globalData.Authorization
            },
            success: (res) => {
              let arr=  [...res.data.content]
              console.log(arr,'arr')
              let newarr = [];
              for(let i=0;i<arr.length;i++){
                  newarr.push({name:arr[i].name,id:arr[i].id})
              }
              var newArr1 = newarr.filter(function(item,index){
                return newarr.indexOf(item) === index;  // 因为indexOf 只能查找到第一个  
             });
             this.setData({
                nameList: newArr1
              })
             
             
            },
            fail: () => {
              wx.hideLoading()
            }
          })

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    linkToDet:function(e){
        console.log(e,'aaaaa')
        let lv1Id=e.currentTarget.dataset.id
        wx.request({
            url: app.globalData.appBaseUrl + '/api/lawCategory',
            method: 'GET',
            header: {
              Authorization: app.globalData.Authorization
            },
            data: {
              county:app.globalData.appCounty,
              page: 0,
              size: 99999,
              pid:lv1Id
            },
            header: {
              Authorization: app.globalData.Authorization
            },
            success: (res) => {
              let arr=  [...res.data.content]
              console.log(arr)
              if(arr.length>0){
                wx.redirectTo({
                    url: '/pages/lawlv2/lawlv2?id='+lv1Id,
                })
                return
              }else{
                wx.redirectTo({
                    url: '/pages/law/law?pid='+lv1Id,
                }) 
                return
              }
            //   console.log(arr,'arr')
            //   let newarr = [];
            //   for(let i=0;i<arr.length;i++){
            //       newarr.push({name:arr[i].name,id:arr[i].id})
            //   }
            //   var newArr1 = newarr.filter(function(item,index){
            //     return newarr.indexOf(item) === index;  // 因为indexOf 只能查找到第一个  
            //  });
            //  this.setData({
            //     nameList: newArr1
            //   })
             
             
            },
            fail: () => {
              wx.hideLoading()
            }
          })
        return
       
    }
})